﻿//	『昼夜逆転』工作室	http://jsdiy.web.fc2.com
//	FT232 7セグ制御ライブラリ デモプログラム
//	2011/11/10

using System;
using System.Threading;		//Sleep
using FT232_7Seg8Lib;

namespace ft232r7seg8
{
	class Program
	{
		private static SegCtrl segled;
		
		static void Main(string[] args)
		{
			//ピンアサインを設定する
			//・下記の設定値はデフォルト値の通りだが、ここではSetSRegCtrl(),SetSegLedSegment(),SetSegLedDigit()の使い方を示す。
			PortMgr pm = new PortMgr();
			pm.SetSRegCtrl(FtPin.D0, FtPin.D1, FtPin.D2, FtPin.D3);
			pm.SetSegLedSegment(SRegPin.P1, SRegPin.P2, SRegPin.P3, SRegPin.P4, SRegPin.P5, SRegPin.P6, SRegPin.P7, SRegPin.P8);
			pm.SetSegLedDigit(SRegPin.P9, SRegPin.P10, SRegPin.P11, SRegPin.P12, SRegPin.P13, SRegPin.P14, SRegPin.P15, SRegPin.P16);
			
			//7セグ制御オブジェクトを生成する
			segled = new SegCtrl(pm);
			
			//丁寧
			if (!segled.Start(true))
			{
				Console.WriteLine("FT232 ready...");
				if (!segled.Start()) AppClose(segled.EMessage, segled.ECode);
			}
			//簡素
			//if (!segled.Start()) AppClose(segled.EMessage, segled.ECode);

			Console.WriteLine("7Seg 8Dig start");
			segled.PutString("7.SEG.8.DIG.", 0);
			Console.ReadKey();
			
			AppClose();
		}
		
		//アプリ終了
		private static void AppClose() { AppClose(null, 0); }
		private static void AppClose(string mes, int exitCode)
		{
			//7セグ制御オブジェクトを破棄する
			if (segled != null) segled.Dispose();
			
			//終了メッセージを表示する
			if (mes != null) Console.WriteLine(mes + Environment.NewLine);
			
			Console.WriteLine("Press any key.");
			Console.ReadKey();
			Environment.Exit(exitCode);
		}
	}
}
